## kmix 20.08.2

=== debian/changelog ===
kmix (4:20.08.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Oct 2020 18:39:59 +0100

kmix (4:20.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Backport upstream commit b3fe63796dfaa0b667c21160a9c10615d6690411 to fix
    a crash at exit; patch
    upstream_Mixer-Delay-the-deletion-of-the-backend.patch. (Closes: #969456)

 -- Pino Toscano <pino@debian.org>  Fri, 04 Sep 2020 10:13:48 +0200

kmix (4:20.08.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Update the build dependencies according to the upstream build system:
    - remove libglib2.0-dev, no more needed directly

 -- Pino Toscano <pino@debian.org>  Fri, 14 Aug 2020 16:01:42 +0200

kmix (4:20.04.3-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new release-service location.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump Qt packages to 5.11.0
    - bump KF packages to 5.48.0
    - remove libkf5iconthemes-dev, no more needed
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - manually force the generation of the substvars for the kde-l10n breaks
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 02 Aug 2020 13:32:25 +0200
