## kmix 20.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 set (PA_MIN_VERSION "0.9.16")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -58,11 +58,6 @@
 #
 find_package(PulseAudio "${PA_MIN_VERSION}")
 
-# PulseAudio requires GLib2
-if (PulseAudio_FOUND)
-  find_package(GLIB2 REQUIRED)
-endif(PulseAudio_FOUND)
-
 # Canberra is an optional dependency
 find_package(Canberra)
 
@@ -99,7 +94,6 @@
 if (PulseAudio_FOUND)
   add_definitions(-DHAVE_PULSE)
   include_directories(${PulseAudio_INCLUDE_DIRS})
-  include_directories(${GLIB2_INCLUDE_DIR})
 endif (PulseAudio_FOUND)
 
 if (CANBERRA_FOUND)
@@ -213,7 +207,7 @@
 endif (HAVE_LIBASOUND2)
 
 if (PulseAudio_FOUND)
-  target_link_libraries(kmixcore PRIVATE ${PulseAudio_LIBRARIES} ${PulseAudio_MAINLOOP_LIBRARY} ${GLIB2_LIBRARIES})
+  target_link_libraries(kmixcore PRIVATE ${PulseAudio_LIBRARIES} ${PulseAudio_MAINLOOP_LIBRARY})
 endif (PulseAudio_FOUND)
 
 if (CANBERRA_FOUND)
@@ -238,7 +232,6 @@
   gui/mdwslider.cpp
   gui/mdwenum.cpp
   gui/kmixerwidget.cpp
-  gui/ksmallslider.cpp
   gui/verticaltext.cpp
   gui/volumeslider.cpp
   gui/kmixtoolbox.cpp
