=== debian/changelog ===
kmix (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Drop patch upstream_Mixer-Delay-the-deletion-of-the-backend.patch applied
    upstream.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh upstream metadata.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 04 Jan 2021 11:21:41 +0100

kmix (4:20.08.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (20.08.2).
  * Refresh copyright information.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Refresh upstream metadata.
  * Add lintian override for kmix not having a manual, as it doesn’t have any
    command line argument.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 30 Oct 2020 00:19:25 +0100
