## kmix 21.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,31 @@
-cmake_minimum_required(VERSION 3.5)
-project(kmix)
-set(PROJECT_VERSION "5.13.80")
-set(PROJECT_VERSION_MAJOR 5)
-
-add_definitions( -DTRANSLATION_DOMAIN=\"kmix\" )
-
-SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+cmake_minimum_required(VERSION 3.16)
+
+# KDE Applications version, managed by release script.
+set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
+
+set(KMIX_VERSION ${RELEASE_SERVICE_VERSION})
+project(kmix VERSION ${KMIX_VERSION})
+# SOVERSION of the kmixcore library
+set(KMIX_VERSION_MAJOR 5)
+# Version of the configuration, originally from core/version.h
+set(KMIX_CONFIG_VERSION 3)
+
+####################################################################################################
+########### options ################################################################################
+####################################################################################################
+
+# Plasma dataengines are apparently deprecated and will be removed in Plasma 6
+option(BUILD_DATAENGINE "Build the Plasma dataengine" OFF)
+
+####################################################################################################
+########### dependencies and tests #################################################################
+####################################################################################################
 
 set (QT_MIN_VERSION "5.11.0")
-set (KF5_MIN_VERSION "5.48.0")
+set (KF5_MIN_VERSION "5.68.0")
 set (PA_MIN_VERSION "0.9.16")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
@@ -17,7 +34,6 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
-include(ECMPackageConfigHelpers)
 include(ECMInstallIcons)
 include(ECMQtDeclareLoggingCategory)
 include(GenerateExportHeader)
@@ -46,23 +62,23 @@
     XmlGui
 )
 
-find_package(KF5Plasma ${KF5_MIN_VERSION})
-set_package_properties(KF5Plasma PROPERTIES
-                       TYPE OPTIONAL
-                       PURPOSE "Required to build Plasma data engine"
-                      )
+if (BUILD_DATAENGINE)
+  find_package(KF5Plasma ${KF5_MIN_VERSION} REQUIRED)
+  set_package_properties(KF5Plasma PROPERTIES PURPOSE "Required to build the Plasma dataengine")
+endif (BUILD_DATAENGINE)
 
 set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})
 
 # PulseAudio is an optional dependency
-#
 find_package(PulseAudio "${PA_MIN_VERSION}")
 
 # Canberra is an optional dependency
 find_package(Canberra)
 
+# ALSA is an optional dependency
 find_package(ALSA)
 
+# TODO: this test is probably obsolete by now
 include(CheckCXXSourceCompiles)
 check_cxx_source_compiles("
     #include <memory>
@@ -73,9 +89,6 @@
     int main() { std::tr1::shared_ptr<int> p; return 0; }
 " HAVE_STD_TR1_SHARED_PTR)
 
-
-configure_file (config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
-
 ####################################################################################################
 ########### compile definitions ####################################################################
 ####################################################################################################
@@ -86,6 +99,21 @@
   include_directories(${TAGLIB_INCLUDES})
 endif (MSVC)
 
+# TODO: this must be long obsolete by now
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
+
+add_definitions(-DTRANSLATION_DOMAIN=\"kmix\")
+add_definitions(-DKMIX_VERSION=\"${KMIX_VERSION}\")
+add_definitions(-DKMIX_CONFIG_VERSION=${KMIX_CONFIG_VERSION})
+
+if (HAVE_STD_SHARED_PTR)
+  add_definitions(-DHAVE_STD_SHARED_PTR)
+else (HAVE_STD_SHARED_PTR)
+  if (HAVE_STD_TR1_SHARED_PTR)
+    add_definitions(-DHAVE_STD_TR1_SHARED_PTR)
+  endif (HAVE_STD_TR1_SHARED_PTR)
+endif (HAVE_STD_SHARED_PTR)
+
 if (ALSA_FOUND)
   set(HAVE_LIBASOUND2 TRUE)
   add_definitions(-DHAVE_LIBASOUND2)
@@ -108,10 +136,12 @@
 add_subdirectory(doc)
 add_subdirectory(pics)
 add_subdirectory(profiles)
-#add_subdirectory(tests)
-if (KF5Plasma_FOUND)
-  add_subdirectory(plasma)
-endif ()
+
+if (BUILD_DATAENGINE)
+  if (KF5Plasma_FOUND)
+    add_subdirectory(plasma)
+  endif (KF5Plasma_FOUND)
+endif (BUILD_DATAENGINE)
 
 ####################################################################################################
 ########### definitions: logging ###################################################################
@@ -120,6 +150,8 @@
 ecm_qt_declare_logging_category(kmix_debug_SRCS
                                 HEADER kmix_debug.h
                                 IDENTIFIER KMIX_LOG
+                                EXPORT kmixlogging
+                                DESCRIPTION "KMix sound mixer and volume control"
                                 CATEGORY_NAME org.kde.kmix)
 
 ####################################################################################################
@@ -169,7 +201,6 @@
   core/mixertoolbox.cpp
   core/kmixdevicemanager.cpp
   core/ControlManager.cpp
-  core/GlobalConfig.cpp
   core/MasterControl.cpp
   core/mixer.cpp
   core/mixset.cpp
@@ -177,6 +208,8 @@
   core/mixdevicecomposite.cpp
   core/volume.cpp
 )
+
+kconfig_add_kcfg_files(kmixcore_SRCS core/settings.kcfgc)
 
 add_library(kmixcore SHARED
   ${kmixcore_SRCS}
@@ -199,7 +232,7 @@
     KF5::ConfigGui
 )
 
-set_target_properties(kmixcore PROPERTIES VERSION ${PROJECT_VERSION} SOVERSION ${PROJECT_VERSION_MAJOR})
+set_target_properties(kmixcore PROPERTIES VERSION ${KMIX_VERSION} SOVERSION ${KMIX_VERSION_MAJOR})
 generate_export_header(kmixcore BASE_NAME kmixcore EXPORT_FILE_NAME kmixcore_export.h)
 
 if (HAVE_LIBASOUND2)
@@ -211,10 +244,12 @@
 endif (PulseAudio_FOUND)
 
 if (CANBERRA_FOUND)
-  target_link_libraries(kmixcore PRIVATE ${CANBERRA_LIBRARIES})
+  # VolumeFeedback calls Canberra directly, so public linking is required
+  target_link_libraries(kmixcore PUBLIC ${CANBERRA_LIBRARIES})
 endif (CANBERRA_FOUND)
 
 install(TARGETS kmixcore DESTINATION ${KDE_INSTALL_LIBDIR} LIBRARY NAMELINK_SKIP)
+install(FILES core/settings.kcfg RENAME kmixsettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
 
 ####################################################################################################
 ########### target: kmixgui library ################################################################
@@ -267,10 +302,14 @@
 
 set(kmix_SRCS
   apps/main.cpp
-  apps/kmix.cpp
-  apps/KMixApp.cpp
+  apps/kmixwindow.cpp
+  apps/kmixapp.cpp
   ${kmix_debug_SRCS}
 )
+
+if (CANBERRA_FOUND)
+  set(kmix_SRCS ${kmix_SRCS} apps/volumefeedback.cpp)
+endif (CANBERRA_FOUND)
 
 add_executable(kmix ${kmix_SRCS})
 target_link_libraries(kmix
@@ -316,37 +355,3 @@
 
 ####################################################################################################
 ########### target: kmixctrl #######################################################################
-####################################################################################################
-
-set(kmixctrl_SRCS
-  apps/kmixctrl.cpp
-  ${kmix_debug_SRCS}
-)
-
-add_executable(kmixctrl ${kmixctrl_SRCS})
-target_link_libraries(kmixctrl
-  kmixcore
-  KF5::I18n
-  KF5::CoreAddons
-)
-
-install(TARGETS kmixctrl ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
-
-install(FILES desktop/kmixctrl_restore.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
-
-####################################################################################################
-########### other installs #########################################################################
-####################################################################################################
-
-install(PROGRAMS apps/kmixremote DESTINATION ${KDE_INSTALL_BINDIR})
-install(FILES desktop/restore_kmix_volumes.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
-
-####################################################################################################
-########### end ####################################################################################
-####################################################################################################
-
-feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
