=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kmix
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.68.0~),
                gettext,
@@ -19,7 +20,6 @@
                libkf5globalaccel-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),
                libkf5notifications-dev (>= 5.68.0~),
-               libkf5plasma-dev (>= 5.68.0~),
                libkf5solid-dev (>= 5.68.0~),
                libkf5widgetsaddons-dev (>= 5.68.0~),
                libkf5windowsystem-dev (>= 5.68.0~),
@@ -31,16 +31,14 @@
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/kmix
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmix
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmix.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmix
 
 Package: kmix
 Section: sound
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: x-audio-mixer
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: volume control and mixer
  KMix is an audio device mixer, used to adjust volume, select recording inputs,
  and set other hardware options.
